
# General Notes

## Nextcloud

Lost admin privileges

connect to Nextcloud container and change to www-data (`su -s /bin/bash - www-data`)

```bash
cd /var/www/html
php occ user:list
```

The user you need will be in the list and need the UUID

```bash
php occ group:adduser admin <uuid>
```

## Jellyfin

### Fix lost admin privileges

Change jellyfin pod to run bash instead of jellyfin

Install SQLlite in the new temporary pod

```bash
apt update
apt install sqlite3
```

Backup the database just in case

```bash
cp /config/data/jellyfin.db{,.bak}
```

Update the permissions:

```bash
UPDATE Permissions SET Value = 1 WHERE (Kind = 0 OR Kind = 3 OR Kind = 4 OR Kind = 5 OR Kind = 6 OR Kind = 7 OR Kind = 8 OR Kind = 9 OR Kind = 10 OR Kind = 11 OR Kind = 12 OR Kind = 13 OR Kind = 14 OR Kind = 15 OR Kind = 16 OR Kind = 17 OR Kind = 18 OR Kind = 19 OR Kind = 20 OR Kind = 21) AND UserId IN (SELECT Id FROM Users WHERE Username = 'AdminUsername');

.exit
```
